com.avaya.ccs.api.enums

## Enum Role

- java.lang.Object
- - java.lang.Enum<Role>
  - - com.avaya.ccs.api.enums.Role

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Role>

      public enum Role
      extends java.lang.Enum<Role>

  The `Role` enum represents the role of a `UserI` within the Contact Center.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Agent` The user is an Agent in the Contact Center
    `Supervisor` The user is a Supervisor in the Contact Center
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Role` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Agent

          public static final Role Agent

      The user is an Agent in the Contact Center

    - #### Supervisor

          public static final Role Supervisor

      The user is a Supervisor in the Contact Center

    - #### Unknown

          public static final Role Unknown

  - ### Method Detail

    - #### values

          public static Role[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Role c : Role.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Role valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null